import request from "@/utils/request.js";

/**
* @description:购买金币下单
* @param productId
* @return: data
*/
export function createOrderApi(data) {
  return request({
    url: `api/productOrder/createOrder`,
    method: 'post',
    data
  })
}

/**
* @description:获取订单数据
* @param data
* @return: data
*/
export function createPayApi(data) {
  return request({
    url: `api/productOrder/createPay`,
    method: 'post',
    data
  })
}

/**
* @description:获取订单支付状态
* @param orderNumber
* @return: data payStatus 查询支付状态 0:待支付，2:支付中，3：已支付
*/
export function getOrderStatusApi(orderNumber, payVendor) {
  return request({
    url: `api/productOrder/findStatus?orderNumber=${orderNumber}&payVendor=${payVendor}`,
    method: 'get'
  })
}
